/***********************************************************************************************************************
 *
 * blueMarine Semantic - open source media workflow
 * Copyright (C) 2008-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~semantic-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.node.dnd;

import javax.annotation.Nonnull;
import java.awt.datatransfer.Transferable;
import org.openide.util.datatransfer.PasteType;
import org.openide.loaders.DataObject;
import it.tidalwave.semantic.other.Entity;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: AddEntityPasteType.java,v 4fbb06e9364c 2011/03/06 21:25:16 fabrizio $
 *
 ******************************************************************************/
public class AddEntityPasteType extends PasteType
  {
    @Nonnull
    private final Entity entity;

    @Nonnull
    private final DataObject dataObject;

    public AddEntityPasteType (@Nonnull final Entity entity,
                               @Nonnull final DataObject dataObject)
      {
        this.entity = entity;
        this.dataObject = dataObject;
      }

    @Nonnull
    public String getDisplayName()
      {
        return "Paste ..."; // FIXME
      }

    public Transferable paste() 
      {
//        try
//          {
//            CatalogLocator.findCatalog().findTagSet(dataObject).add(tag);
//          }
//        catch (CatalogException e)
//          {
//            e.printStackTrace();
////            logger.throwing(CLASS, "TagPasteAction.paste()", e); // FIXME: rethrow
//          }
        return null;
      }
  }
    
